Add datasource/destination that this connector is migrating from legacy binary. Only for connectors with "migration" flow.
When migration flow is selected for the connector, datasource/destination for existing legacy connector can be added via this call.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
target-id?integer
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/migration/targets" \ -H "Content-Type: application/json" \ -d '{ "target-id": 4 }'{
"message": "successful operation",
"data": {
"name": "cormier.info",
"description": null,
"readme": null,
"version": "1.0.0",
"logo": null,
"created-at": "2026-05-11T14:13:02+02:00",
"updated-at": "2026-05-11T14:13:02+02:00",
"deleted-at": null,
"state": "created",
"config": {
"update-progress": [],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": null,
"data-service": null,
"datasource": {
"categories": []
},
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "9.12.70"
}
},
"platform_prod_reference": {
"executable": null,
"platform-connector": 4,
"target-accounts": [],
"target-projects": [],
"target-sites": [],
"enabled-for-accounts": [],
"enabled-for-projects": [],
"enabled-for-sites": [],
"assigned-to-sites": [],
"released": false,
"version": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "9.12.70"
}
},
"prod_config": null,
"dev_config": null
}
}{
"message": "Operation is only allowed for connectors with flow \"migration\"",
"errors": []
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector does not have specified version."
}How is this guide?